import os
import ssl
import adafruit_requests
import wifi
import socketpool

# Wi-Fi csatlakozás a környezeti változókból
wifi.radio.connect(os.getenv("CIRCUITPY_WIFI_SSID"), os.getenv("CIRCUITPY_WIFI_PASSWORD"))
print("Csatlakoztatva a Wi-Fi-hez:", os.getenv("CIRCUITPY_WIFI_SSID"))

# Socketpool létrehozása
pool = socketpool.SocketPool(wifi.radio)

# SSL kontextus létrehozása HTTPS kérésekhez
ssl_context = ssl.create_default_context()

# Requests Session létrehozása
requests = adafruit_requests.Session(pool, ssl_context)

# GET kérés küldése
url = "https://cspista.hu/"  # Cseréld le a megfelelő URL-re
print("GET kérés küldése:", url)

try:
    response = requests.get(url)
    print("HTTP Válaszkód:", response.status_code)  # HTTP válaszkód
    print("Válasz tartalma:", response.text)  # Válasz szövege
except Exception as e:
    print("Hiba a kérés küldése során:", e)

# Kérjük, csatlakoztassuk a Wi-Fi-t és küldjük el a kérést