import os, wifi
networks = []
for network in wifi.radio.start_scanning_networks():
    networks.append(network)
wifi.radio.stop_scanning_networks()
networks = sorted(networks, key=lambda net: net.rssi, reverse=True)
for network in networks:
    print("ssid:",network.ssid, "rssi:",network.rssi)

print("connecting...")
wifi.radio.connect(ssid=os.getenv('CIRCUITPY_WIFI_SSID'),
                   password=os.getenv('CIRCUITPY_WIFI_PASSWORD'))
print("my IP addr:", wifi.radio.ipv4_address) 

print("MAC addr:", wifi.radio.mac_address) 
print("gateway:", wifi.radio.ipv4_gateway) 
print("mgateway ap:", wifi.radio.ipv4_gateway_ap) 
print("subnet:", wifi.radio.ipv4_subnet) 
print("DNS", wifi.radio.ipv4_dns) 
print("hostname:", wifi.radio.hostname) 
print("tx_power:", wifi.radio.tx_power) 
